# DependentAction.NodeActionConstant (ARX Developer Documentation)

org.deidentifier.arx.framework.lattice

## Class DependentAction.NodeActionConstant

- java.lang.Object
- - org.deidentifier.arx.framework.lattice.DependentAction
  - - org.deidentifier.arx.framework.lattice.DependentAction.NodeActionConstant

- Enclosing class:
    DependentAction

      public static class DependentAction.NodeActionConstant
      extends DependentAction

  A trigger for nodes.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.deidentifier.arx.framework.lattice.DependentAction

      `DependentAction.NodeActionAND, DependentAction.NodeActionConstant, DependentAction.NodeActionInverse, DependentAction.NodeActionOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DependentAction.NodeActionConstant(boolean result)` Creates a new instance

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `appliesTo(Transformation transformation)` Determines whether the trigger action should be performed.

    - ### Methods inherited from class org.deidentifier.arx.framework.lattice.DependentAction

      `action, apply`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DependentAction.NodeActionConstant

          public DependentAction.NodeActionConstant(boolean result)

      Creates a new instance
      Parameters:
        `result` -

  - ### Method Detail

    - #### appliesTo

          public boolean appliesTo(Transformation transformation)

      Description copied from class: `DependentAction`
      Determines whether the trigger action should be performed.
      Specified by:
        `appliesTo` in class `DependentAction`
      Returns: